curl --request GET \
--url https://api.opal.dev/v1/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
"previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
"results": [
{
"event_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"actor_user_id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"created_at": "2022-01-23T04:56:07.000Z",
"event_type": "USERS_CREATED"
},
{
"event_id": "7646aa9a-e2ee-4eb5-8c62-91f29038a373",
"actor_user_id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"created_at": "2022-02-03T12:33:02.000Z",
"event_type": "USER_TEAM_UPDATED"
}
]
}Returns a list of Event objects.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A start date filter for the events.
An end date filter for the events.
An actor filter for the events. Supply the ID of the actor.
An object filter for the events. Supply the ID of the object.
An event type filter for the events.
An API filter for the events. Supply the name and preview of the API token.
The pagination cursor value.
Number of results to return per page. Default is 200.
x <= 1000Response
One page worth of events with the appropriate filters applied.
The cursor with which to continue pagination if additional result pages exist.
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The cursor used to obtain the current result page.
"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"
Show child attributes
Show child attributes
Was this page helpful?